
function [ TP,FP,FN,TN ] = uspesnost( data_class,zlaty_standard)

%% Funkce pro vypocet pametru pro hodnoceni spravnosti klasifikace
% Vstupy: 
%   data_class - klasifikovana data 
%   zlaty_standard - manualne oznacena data

% Vystupy:
%   TP - pocet spravnych zarazeni jako dany label
%   FP - pocet falesnych zarazeni jako dany label
%   FN - pocet spatnych neoznaceni jako dany label
%   TN - pocet spravnych neoznaceni jako dany label

TP=length(find(data_class==1 & zlaty_standard==1));
FN=length(find(data_class==0 & zlaty_standard==1));

TN=length(find(data_class==0 & zlaty_standard==0));
FP=length(find(data_class==1 & zlaty_standard==0));
end
